Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotTableColumn

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<TableColumn>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotTableColumn

    public class SWTBotTableColumn

extends AbstractSWTBot<TableColumn>

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotTableColumn(TableColumn w)` Constructs a new instance of this object.
`SWTBotTableColumn(TableColumn w, Table parent)` Constructs a new instance of this object.
`SWTBotTableColumn(TableColumn w, Table parent, SelfDescribing description)` Constructs a new instance of this object.

Method Summary
`SWTBotTableColumn` | `click()` Clicks the item.
`boolean` | `isEnabled()` Gets if the object's widget is enabled.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotTableColumn

    public SWTBotTableColumn(TableColumn w)
                      throws WidgetNotFoundException

  Constructs a new instance of this object.

  Parameters:
    `w` - the widget.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.
  Since:
    2.0

### SWTBotTableColumn

    public SWTBotTableColumn(TableColumn w,
                             Table parent)
                      throws WidgetNotFoundException

  Constructs a new instance of this object.

  Parameters:
    `w` - the widget.
    `parent` - the parent table.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.
  Since:
    2.0

### SWTBotTableColumn

    public SWTBotTableColumn(TableColumn w,
                             Table parent,
                             SelfDescribing description)
                      throws WidgetNotFoundException

  Constructs a new instance of this object.

  Parameters:
    `w` - the widget.
    `parent` - the parent table.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.
  Since:
    2.0

Method Detail

### click

    public SWTBotTableColumn click()

  Clicks the item.

  Overrides:
    `click` in class `AbstractSWTBot<TableColumn>`
  Returns:
    itself.

### isEnabled

    public boolean isEnabled()

  Description copied from class: `AbstractSWTBot`
  Gets if the object's widget is enabled.

  Overrides:
    `isEnabled` in class `AbstractSWTBot<TableColumn>`
  Returns:
    `true` if the widget is enabled.
  See Also:
    `Control.isEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD